:root {
    font-size: 16px;
    color-scheme: light;
    --app-spacing: 1rem;
    --app-bg: #f2f2f7;
}

html,
body,
#app {
    height: 100%;
    background-color: var(--app-bg);
    overflow: hidden;
    overscroll-behavior: none;
}

body {
    font-family: 'Inter', -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Helvetica, Arial, sans-serif;
    font-feature-settings: 'cv02', 'cv03', 'cv04';
    color: rgba(0, 0, 0, 0.9);
    margin: 0;
    padding: 0;
}

main {
    height: 100%;
    overflow-x: hidden;
    overflow-y: auto;
    overscroll-behavior-y: none;
    -webkit-overflow-scrolling: touch;
}

.appRoot {
    height: 100%;
}

body * {
    box-sizing: border-box;
}

main {
    transition: opacity .3s linear;
}
